> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /qiita/questions/search

> Search Qiita Questions

**Price:** 1 credit

**⚠️ Common errors:** 422: At least one search filter must be provided.



## OpenAPI

````yaml /openapi/news-publishing.json post /api/qiita/questions/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/qiita/questions/search:
    post:
      tags:
        - /qiita
      summary: /qiita/questions/search
      description: |-
        Search Qiita Questions

        **Price:** 1 credit

        **⚠️ Common errors:** 422: At least one search filter must be provided.
      operationId: __api_qiita_questions_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QiitaQuestionsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QiitaQuestionRef'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QiitaQuestionsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        question_title:
          anyOf:
            - type: string
            - type: 'null'
        body:
          anyOf:
            - type: string
            - type: 'null'
        code:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        exclude_tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        user:
          anyOf:
            - type: string
            - type: 'null'
        question_by:
          anyOf:
            - type: string
            - type: 'null'
        answer_by:
          anyOf:
            - type: string
            - type: 'null'
        min_answers:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        state:
          anyOf:
            - $ref: '#/components/schemas/QiitaQuestionState'
            - type: 'null'
        question_format:
          anyOf:
            - $ref: '#/components/schemas/QiitaQuestionFormat'
            - type: 'null'
        created_from:
          anyOf:
            - type: string
            - type: 'null'
        created_to:
          anyOf:
            - type: string
            - type: 'null'
        updated_from:
          anyOf:
            - type: string
            - type: 'null'
        updated_to:
          anyOf:
            - type: string
            - type: 'null'
        sort:
          $ref: '#/components/schemas/QiitaQuestionSort'
          default: relevance
        count:
          type: integer
          maximum: 2000
          minimum: 1
      type: object
      required:
        - count
    QiitaQuestionRef:
      properties:
        '@type':
          type: string
          default: QiitaQuestionRef
        id:
          type: string
        question_title:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        snippet:
          anyOf:
            - type: string
            - type: 'null'
        question_format:
          anyOf:
            - $ref: '#/components/schemas/QiitaQuestionFormat'
            - type: 'null'
        is_closed:
          type: boolean
          default: false
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
        answer_count:
          anyOf:
            - type: integer
            - type: 'null'
        questioner:
          anyOf:
            - $ref: '#/components/schemas/QiitaUserRef'
            - type: 'null'
        tags:
          items:
            $ref: '#/components/schemas/QiitaTagRef'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    QiitaQuestionState:
      type: string
      enum:
        - open
        - closed
    QiitaQuestionFormat:
      type: string
      enum:
        - question
        - discussion
    QiitaQuestionSort:
      type: string
      enum:
        - relevance
        - created
        - like
        - answer
    QiitaUserRef:
      properties:
        '@type':
          type: string
          default: QiitaUserRef
        alias:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - alias
    QiitaTagRef:
      properties:
        '@type':
          type: string
          default: QiitaTagRef
        name:
          type: string
        alias:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
        - alias
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````